//---------------------------------------------------------------------------

#ifndef MlekaraMainH
#define MlekaraMainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>

//USER INCLUDE
#include "dbDm.h"
#include "cxClasses.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDBData.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridDBTableView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxNavigator.hpp"
#include "cxStyles.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinBlueprint.hpp"
#include "dxSkinCaramel.hpp"
#include "dxSkinCoffee.hpp"
#include "dxSkinDarkRoom.hpp"
#include "dxSkinDarkSide.hpp"
#include "dxSkinDevExpressDarkStyle.hpp"
#include "dxSkinDevExpressStyle.hpp"
#include "dxSkinFoggy.hpp"
#include "dxSkinGlassOceans.hpp"
#include "dxSkinHighContrast.hpp"
#include "dxSkiniMaginary.hpp"
#include "dxSkinLilian.hpp"
#include "dxSkinLiquidSky.hpp"
#include "dxSkinLondonLiquidSky.hpp"
#include "dxSkinMcSkin.hpp"
#include "dxSkinMoneyTwins.hpp"
#include "dxSkinOffice2007Black.hpp"
#include "dxSkinOffice2007Blue.hpp"
#include "dxSkinOffice2007Green.hpp"
#include "dxSkinOffice2007Pink.hpp"
#include "dxSkinOffice2007Silver.hpp"
#include "dxSkinOffice2010Black.hpp"
#include "dxSkinOffice2010Blue.hpp"
#include "dxSkinOffice2010Silver.hpp"
#include "dxSkinOffice2013White.hpp"
#include "dxSkinPumpkin.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinsDefaultPainters.hpp"
#include "dxSkinSeven.hpp"
#include "dxSkinSevenClassic.hpp"
#include "dxSkinSharp.hpp"
#include "dxSkinSharpPlus.hpp"
#include "dxSkinSilver.hpp"
#include "dxSkinSpringTime.hpp"
#include "dxSkinStardust.hpp"
#include "dxSkinSummer2008.hpp"
#include "dxSkinTheAsphaltWorld.hpp"
#include "dxSkinValentine.hpp"
#include "dxSkinVS2010.hpp"
#include "dxSkinWhiteprint.hpp"
#include "dxSkinXmas2008Blue.hpp"
#include <Data.DB.hpp>
#include "cxGridChartView.hpp"
#include "cxGridDBChartView.hpp"
#include "cxContainer.hpp"
#include "cxGridCardView.hpp"
#include "cxGridCustomLayoutView.hpp"
#include "cxGridDBCardView.hpp"
#include "cxGroupBox.hpp"
#include "cxPC.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "frxClass.hpp"
#include "cxCalendar.hpp"
#include "cxDBEdit.hpp"
#include "cxDropDownEdit.hpp"
#include "cxLabel.hpp"
#include "cxMaskEdit.hpp"
#include "cxTextEdit.hpp"
#include "cxButtons.hpp"
#include <Vcl.Menus.hpp>
#include <Vcl.ComCtrls.hpp>
#include "AdvDateTimePicker.hpp"
#include "cxDBLookupComboBox.hpp"
#include "cxDBLookupEdit.hpp"
#include "cxLookupEdit.hpp"
#include "frxDBSet.hpp"
#include "cxDrawTextUtils.hpp"
#include "dxBkgnd.hpp"
#include "dxPrnDev.hpp"
#include "dxPrnPg.hpp"
#include "dxPSCompsProvider.hpp"
#include "dxPSCore.hpp"
#include "dxPScxCommon.hpp"
#include "dxPScxEditorProducers.hpp"
#include "dxPScxExtEditorProducers.hpp"
#include "dxPScxGridLayoutViewLnk.hpp"
#include "dxPScxGridLnk.hpp"
#include "dxPScxPageControlProducer.hpp"
#include "dxPSEdgePatterns.hpp"
#include "dxPSEngn.hpp"
#include "dxPSFillPatterns.hpp"
#include "dxPSGlbl.hpp"
#include "dxPSPDFExport.hpp"
#include "dxPSPDFExportCore.hpp"
#include "dxPSPrVwAdv.hpp"
#include "dxPSPrVwRibbon.hpp"
#include "dxPSPrVwStd.hpp"
#include "dxPSUtl.hpp"
#include "dxSkinsdxBarPainter.hpp"
#include "dxSkinsdxRibbonPainter.hpp"
#include "dxWrap.hpp"
#include "dxPSContainerLnk.hpp"

//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
	TcxPageControl *cxPageControl1;
	TcxTabSheet *cxTabSheet1;
	TcxTabSheet *cxTabSheet2;
	TcxGrid *cxGrid1;
	TcxGridDBChartView *cxGrid1DBChartView1;
	TcxGridDBChartDataGroup *cxGrid1DBChartView1DataGroup1;
	TcxGridDBChartSeries *cxGrid1DBChartView1Series1;
	TcxGridLevel *cxGrid1Level1;
	TcxGroupBox *cxGroupBox1;
	TcxGrid *cxGrid5;
	TcxGridDBChartView *cxGrid5DBChartView1;
	TcxGridDBChartDataGroup *cxGrid5DBChartView1DataGroup1;
	TcxGridDBChartSeries *cxGrid5DBChartView1Series1;
	TcxGridLevel *cxGrid5Level1;
	TcxGrid *cxGrid4;
	TcxGridDBChartView *cxGrid4DBChartView1;
	TcxGridDBChartDataGroup *cxGrid4DBChartView1DataGroup1;
	TcxGridDBChartSeries *cxGrid4DBChartView1Series1;
	TcxGridLevel *cxGrid4Level1;
	TcxGrid *cxGrid3;
	TcxGridDBChartView *cxGrid3DBChartView1;
	TcxGridDBChartDataGroup *cxGrid3DBChartView1DataGroup1;
	TcxGridDBChartSeries *cxGrid3DBChartView1Series1;
	TcxGridLevel *cxGrid3Level1;
	TcxGrid *cxGrid2;
	TcxGridDBChartView *cxGrid2DBChartView1;
	TcxGridDBChartDataGroup *cxGrid2DBChartView1DataGroup1;
	TcxGridDBChartSeries *cxGrid2DBChartView1Series1;
	TcxGridLevel *cxGrid2Level1;
	TcxGroupBox *cxGroupBox2;
	TcxGroupBox *cxGroupBox3;
	TcxDBTextEdit *cxDBTextEdit1;
	TcxDBTextEdit *cxDBTextEdit2;
	TcxLabel *cxLabel1;
	TcxLabel *cxLabel2;
	TcxLabel *cxLabel3;
	TcxGroupBox *cxGroupBox4;
	TcxButton *btSave;
	TcxButton *btNew;
	TcxLabel *cxLabel4;
	TAdvDateTimePicker *AdvDateTimePicker2;
	TcxLabel *Uredjaj;
	TcxDBLookupComboBox *cxDBLookupComboBox1;
	TdxComponentPrinter *dxComponentPrinter1;
	TAdvDateTimePicker *AdvDateTimePicker1;
	TcxGroupBox *cxGroupBox5;
	TcxGrid *cxGrid6;
	TcxGridDBTableView *cxGrid6DBTableView1;
	TcxGridDBColumn *cxGrid6DBTableView1idArtikli;
	TcxGridDBColumn *cxGrid6DBTableView1Artikal;
	TcxGridDBColumn *cxGrid6DBTableView1Kolicina;
	TcxGridDBColumn *cxGrid6DBTableView1od;
	TcxGridDBColumn *cxGrid6DBTableView1do;
	TcxGridLevel *cxGrid6Level1;
	TcxGroupBox *cxGroupBox6;
	TcxGroupBox *cxGroupBox7;
	TcxGrid *cxGrid7;
	TcxGridLevel *cxGrid7Level1;
	TcxLabel *cxLabel5;
	TcxLabel *cxLabel6;
	TcxLabel *cxLabel7;
	TcxGridDBChartView *cxGrid7DBChartView1;
	TcxGridDBChartDataGroup *cxGrid7DBChartView1DataGroup1;
	TcxLabel *cxLabel8;
	TcxLabel *cxLabel9;
	TcxLabel *cxLabel10;
	TcxLabel *cxLabel11;
	TcxLabel *cxLabel12;
	TcxLabel *cxLabel13;
	TcxLabel *cxLabel14;
	TcxLabel *cxLabel15;
	TcxLabel *cxLabel16;
	TcxGroupBox *cxGroupBox8;
	TcxButton *cxButton1;
	TdxCustomContainerReportLink *dxComponentPrinter1Link1;
	TcxGridDBChartSeries *cxGrid7DBChartView1Series1;
	TcxLabel *cxLabel17;
	TcxDBTextEdit *cxDBTextEdit3;
	TcxGridDBColumn *cxGrid6DBTableView1id_uredjaja;
	TcxGridDBColumn *cxGrid6DBTableView1zadata_temperatura;
	TcxGrid *cxGrid8;
	TcxGridLevel *cxGrid8Level1;
	TcxGroupBox *cxGroupBox9;
	TcxGridDBChartView *cxGrid8DBChartView1;
	TcxGridDBChartSeries *cxGrid8DBChartView1Series1;
	TcxGridDBChartDataGroup *cxGrid8DBChartView1DataGroup1;
	TcxButton *cxButton2;
	TdxComponentPrinter *dxComponentPrinter2;
	TdxCustomContainerReportLink *dxComponentPrinter2Link1;
	void __fastcall btNewClick(TObject *Sender);
	void __fastcall btSaveClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall AdvDateTimePicker1Change(TObject *Sender);
	void __fastcall AdvDateTimePicker2Change(TObject *Sender);
	void __fastcall cxButton1Click(TObject *Sender);
	void __fastcall cxButton2Click(TObject *Sender);
private:	// User declarations
	Tdb *dbGets;
	void __fastcall TMainForm::ArtikliDataChange(TObject *Sender, TField *Field);
public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
